PostDDS Continuing Education for All Dental Professionals

Help :: Requirements

06:12 Wed 13 Dec 2017 Not Signed-In

Computer Requirements for PostDDS

Nearly all Personal Computers will work with the PostDDS web site. You should ensure you:

  1. Are using a supported web browser,
  2. Have configured the browser properly,
  3. Have the Adobe Reader installed, and
  4. Have a good internet connection.
The site has been tested on Windows, Macintosh, and Linux systems.

1. Use a Supported Web Browser

Most modern browsers below have been thoroughly tested with PostDDS and should work flawlessly.

Get Firefox   Get IE      

2. Configure Your Web Browser

JavaScript and Cookies must be enabled to use the PostDDS site. All browsers have these enabled by default. If you have disabled either of them, you will need to reenable them for this site to work as intended.

3. Ensure Adobe Reader is Installed

Course materials are presented in PDF format. You must have Adobe Reader installed to view these documents. Most browsers have this plugin installed by default. If, however, you click on a syllabus and the browser prompts you to save to disk, you may need to install it. Click on this button to download the software

4. Internet Connection

Your internet connection should at least be through a 56K dial-up modem, although a higher speed connect such as DSL or Cable is strongly recommended to minimize document download time and enhance your learning experience.



Copyright © 2003-2012, PostDDS :: Continuing Education for Dentists, Hygienists and Technicians
Dr. John Knapp, DDS
19928 Farmington Rd.
Livonia MI 48152
Site Administrator
Site design by Davindi Design and msm
Learning Center Application: msm
Home Classes Policies Help
 
Questions+Answers Recover Password Requirements Sign-In